## org.eclipse.jst.jsf.core.jsfappconfig
Interface IJSFAppConfigProvider

All Known Implementing Classes:
  AbstractJSFAppConfigProvider, ArtifactEditJSFAppConfigProvider, ImplicitRuntimeJSFAppConfigProvider, JARFileJSFAppConfigProvider

    public interface IJSFAppConfigProvider

IJSFAppConfigProvider is the interface that Objects capable of providing JSF application configuration models must implement.

Provisional API - subject to change

Method Summary
`FacesConfigType` `getFacesConfigModel()` Gets the root element of the application configuration model for read access.
`void` `releaseFacesConfigModel()` Releases resources associated with acquiring the application configuration model (if any).
`void` `setJSFAppConfigLocater(IJSFAppConfigLocater locater)` Sets the `IJSFAppConfigLocater` instance that located this instance.

Method Detail

### setJSFAppConfigLocater

    void setJSFAppConfigLocater(IJSFAppConfigLocater locater)

  Sets the `IJSFAppConfigLocater` instance that located this instance.

  Parameters:
    `locater` - `IJSFAppConfigLocater` instance that located this instance.

### getFacesConfigModel

    FacesConfigType getFacesConfigModel()

  Gets the root element of the application configuration model for read access.

  Returns:
    FacesConfigType instance, which is the root element of an application configuration model.

### releaseFacesConfigModel

    void releaseFacesConfigModel()

  Releases resources associated with acquiring the application configuration model (if any).